package com.reyun.saas.common.constants;

/**
 * @author: hanzepeng
 * @Date: 2021/10/12/17:00
 * @Description: 设备状态枚举
 */
public enum EquipmentStatusEnum {

    //活跃状态
    ACTIVE("active","活跃"),
    NEWLY_INCREASED("newlyIncreased","新增"),

    UPDATE("update","更新"),
    NOT_UPDATE("notUpdate","没有更新"),



    //设备状态
    IS_PROCESSING("processing","处理中"),
    EQUIPMENT_NORMAL("equipmentNormal","设备正常"),
    POTENTIAL_RISK("potentialRisk","潜在风险"),
    EQUIPMENT_EXCEPTION("equipmentException","设备异常");


    private String key;
    private String value;

    EquipmentStatusEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }



}
